> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voxo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Audit Logs

> List audit log entries for a tenant within a date range, with optional entity/action/user filters, sorting, and pagination



## OpenAPI

````yaml https://api.voxo.co/v2/docs/openapi.json get /v2/admin/audit-log/
openapi: 3.1.0
info:
  title: VOXO API
  description: VOXO Communication Platform API
  version: 2.0.0
servers:
  - url: https://api.voxo.co
security:
  - bearerAuth: []
paths:
  /v2/admin/audit-log/:
    get:
      tags:
        - Audit Log
      summary: List Audit Logs
      description: >-
        List audit log entries for a tenant within a date range, with optional
        entity/action/user filters, sorting, and pagination
      parameters:
        - schema:
            type: number
          in: query
          name: tenantId
          required: true
        - schema:
            type: string
          in: query
          name: startDate
          required: true
        - schema:
            type: string
          in: query
          name: endDate
          required: true
        - schema:
            default: 1
            type: number
            minimum: 0
            maximum: 1
          in: query
          name: paginated
          required: false
        - schema:
            type: number
          in: query
          name: page
          required: false
        - schema:
            default: 25
            type: number
          in: query
          name: recordsPerPage
          required: false
        - schema:
            anyOf:
              - type: string
              - type: array
                items:
                  anyOf:
                    - type: string
                      enum:
                        - branch
                    - type: string
                      enum:
                        - emergency-location
                    - type: string
                      enum:
                        - user
                    - type: string
                      enum:
                        - tenant
                    - type: string
                      enum:
                        - announcement
                    - type: string
                      enum:
                        - business-hour
                    - type: string
                      enum:
                        - media-file
                    - type: string
                      enum:
                        - voicemail
                    - type: string
                      enum:
                        - pharmacy-agent
                    - type: string
                      enum:
                        - ivr
                    - type: string
                      enum:
                        - device
                    - type: string
                      enum:
                        - button-layout
                    - type: string
                      enum:
                        - music-on-hold
                    - type: string
                      enum:
                        - user-role
                    - type: string
                      enum:
                        - holiday
                    - type: string
                      enum:
                        - webhook
                    - type: string
                      enum:
                        - call-group
                    - type: string
                      enum:
                        - note
                    - type: string
                      enum:
                        - extension
                    - type: string
                      enum:
                        - phone-number
                    - type: string
                      enum:
                        - condition
                    - type: string
                      enum:
                        - short-number
                    - type: string
                      enum:
                        - number-blocking
                    - type: string
                      enum:
                        - device-model
                    - type: string
                      enum:
                        - phonebook
          in: query
          name: entities
          required: false
        - schema:
            anyOf:
              - type: string
              - type: array
                items:
                  anyOf:
                    - type: string
                      enum:
                        - CREATE
                    - type: string
                      enum:
                        - UPDATE
                    - type: string
                      enum:
                        - DELETE
          in: query
          name: actions
          required: false
        - schema:
            type: string
          in: query
          name: userIds
          required: false
        - schema:
            type: string
            enum:
              - timestamp
          in: query
          name: sortBy
          required: false
        - schema:
            anyOf:
              - type: string
                enum:
                  - asc
              - type: string
                enum:
                  - desc
          in: query
          name: sortDirection
          required: false
      responses:
        '200':
          description: Paginated audit log entries
          content:
            application/json:
              schema:
                type: object
                properties:
                  records:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: number
                          description: Audit log entry ID
                        tenantId:
                          type: number
                          description: Tenant ID
                        userId:
                          type: number
                          description: User who performed the action
                        entityId:
                          type: number
                          description: Affected entity ID
                        entity:
                          type: string
                          description: Affected entity type
                        action:
                          type: string
                          enum:
                            - CREATE
                            - UPDATE
                            - DELETE
                          description: Action performed
                        from:
                          anyOf:
                            - {}
                            - type: 'null'
                          description: Entity snapshot before the change
                        to:
                          anyOf:
                            - {}
                            - type: 'null'
                          description: Entity snapshot after the change
                        timestamp:
                          anyOf:
                            - type: string
                            - type: 'null'
                          description: When the action occurred
                      required:
                        - id
                        - tenantId
                        - userId
                        - entityId
                        - entity
                        - action
                        - from
                        - to
                        - timestamp
                      additionalProperties: false
                  page:
                    type: number
                  maxPage:
                    type: number
                  totalRecords:
                    type: number
                required:
                  - records
                  - page
                  - maxPage
                  - totalRecords
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````